summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Kent Fritz2014-03-20 06:03:17 +0100
committer Erik Hanson2014-03-21 19:01:21 +0100
commitd04b100bc6a18b00b11e5a5e9b5248f1e4eb8122 (patch)
tree3feb1c94111444473a39e3710446b16b57e54d3c /multimedia
parente6a7c32e796ae0eba754181178eb1ee2c90d5a90 (diff)
downloadslackbuilds-d04b100bc6a18b00b11e5a5e9b5248f1e4eb8122.tar.gz
multimedia/tivodecode: Added (TiVo File Decoder).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/tivodecode/README10
-rw-r--r--multimedia/tivodecode/slack-desc19
-rw-r--r--multimedia/tivodecode/tivodecode.SlackBuild90
-rw-r--r--multimedia/tivodecode/tivodecode.info10
4 files changed, 129 insertions, 0 deletions
diff --git a/multimedia/tivodecode/README b/multimedia/tivodecode/README
new file mode 100644
index 0000000000..6d4e4fa2d7
--- /dev/null
+++ b/multimedia/tivodecode/README
@@ -0,0 +1,10 @@
+tivodecode - TiVo File Decoder
+
+This software converts a .TiVo files to a normal MPEG file. This has
+the same functionality as using TiVo's supplied DirectShow DLL on
+Windows with a tool such as DirectShowDump, but is portable to
+different architectures and operating systems, and runs on the command
+line using files or pipes. The conversion still requires the valid MAK
+of the TiVo which recorded the file, so it cannot be used to
+circumvent their protection, simply to provide the same level of access
+as is already available on Windows.
diff --git a/multimedia/tivodecode/slack-desc b/multimedia/tivodecode/slack-desc
new file mode 100644
index 0000000000..4ed091a879
--- /dev/null
+++ b/multimedia/tivodecode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tivodecode: tivodecode (TiVo File Decoder)
+tivodecode:
+tivodecode: This software converts a .TiVo files to a normal MPEG file. The
+tivodecode: conversion requires the valid MAK of the TiVo which recorded the file,
+tivodecode: so it cannot be used to circumvent their protection, simply to provide
+tivodecode: the same level of access as is already available on Windows.
+tivodecode:
+tivodecode:
+tivodecode:
+tivodecode:
+tivodecode:
diff --git a/multimedia/tivodecode/tivodecode.SlackBuild b/multimedia/tivodecode/tivodecode.SlackBuild
new file mode 100644
index 0000000000..1adfa7e73c
--- /dev/null
+++ b/multimedia/tivodecode/tivodecode.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for tivodecode
+
+# Copyright 2014 Kent Fritz, Mountain View, CA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tivodecode
+VERSION=${VERSION:-0.2pre4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+
+make
+make install-strip DESTDIR=$PKG
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/tivodecode/tivodecode.info b/multimedia/tivodecode/tivodecode.info
new file mode 100644
index 0000000000..c1dcfd5626
--- /dev/null
+++ b/multimedia/tivodecode/tivodecode.info
@@ -0,0 +1,10 @@
+PRGNAM="tivodecode"
+VERSION="0.2pre4"
+HOMEPAGE="http://tivodecode.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/tivodecode/tivodecode-0.2pre4.tar.gz"
+MD5SUM="cf82385db3e0d708ebdbe5055b8ae7ee"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Kent Fritz"
+EMAIL="fritz.kent@gmail.com"